Name:       chromium
Summary:    Chromium Library
Version:    1.0
Release:    1
Group:      App Framework/Libraries
License:    BSD-3-Clause
Source0:    %{name}-%{version}.tar.gz
Source1001: 	chromium.manifest
BuildRequires:  cmake

%description
Chromium library

%package devel
Summary:    Chromium library - Development Files
Group:      Development/App Framework
Requires:   %{name} = %{version}-%{release}

%description devel
%devel_desc

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%ifarch %{ix86}
CXXFLAGS="$CXXFLAGS -D_OSP_DEBUG_ -D_OSP_X86_ -D_OSP_EMUL_" %cmake .  -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%else
CXXFLAGS="$CXXFLAGS -D_OSP_DEBUG_ -D_OSP_ARMEL_" %cmake .  -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%endif
# Call make instruction with smp support
make %{?jobs:-j%jobs}

%install
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%license LICENSE
%defattr(-,root,root,-)
%{_libdir}/libchromium.so*

%files devel
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_includedir}/chromium/*
%{_libdir}/pkgconfig/chromium.pc
